Bug 840929 - jibx - fixing misapplied patch
jibx - fixing misapplied patch
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: jibx (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: hannes
Fedora Extras Quality Assurance
http://dreamertan.fedorapeople.org/ji...
:
Depends On:
Blocks: 836218
  Show dependency treegraph
 
Reported: 2012-07-17 11:57 EDT by Patryk Obara
Modified: 2013-03-13 00:27 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-30 00:58:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixed misapplied patch (17.61 KB, patch)
2012-07-17 12:00 EDT, Marek Goldmann
no flags Details | Diff

  None (edit)
Description Patryk Obara 2012-07-17 11:57:45 EDT
Description of problem:
previous patch modifying specfile and pom files (version bump to 1.2.4-3) was misapplied - instead of patching existing file, it created new one. This patch fixes that situation.

http://dreamertan.fedorapeople.org/jibx/0001-fixed-misapplied-patch.patch
Comment 1 Marek Goldmann 2012-07-17 12:00:58 EDT
Created attachment 598679 [details]
fixed misapplied patch

Added the patch to the ticket.
Comment 2 hannes 2012-07-17 17:38:20 EDT
Wouldn't it be easier to create a new patch instead of a patch for a patch?
Makes it kind of hard to follow the changes...

I would be happy to apply a single patch or add an additional patch tomorrow.
Comment 3 hannes 2012-07-18 16:08:23 EDT
Sorry, for the noise, just applied the patch to the git repo - pretty easy.
Just started the build on rawhide and f17 and will push an update to f17.
Comment 4 Fedora Update System 2012-07-18 16:14:01 EDT
jibx-1.2.4-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/jibx-1.2.4-4.fc17
Comment 5 Fedora Update System 2012-07-19 05:08:00 EDT
Package jibx-1.2.4-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jibx-1.2.4-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10825/jibx-1.2.4-4.fc17
then log in and leave karma (feedback).
Comment 6 Ville Skyttä 2012-07-21 05:10:36 EDT
1.2.4-4 removes "%define debug_package %{nil}" bringing back the empty debuginfo package that was fixed/removed in bug 820999. I suppose this was not done on purpose, and it should be added back before the update gets pushed to the repos?
Comment 7 Fedora Update System 2012-07-21 18:53:51 EDT
Package jibx-1.2.4-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing jibx-1.2.4-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10825/jibx-1.2.4-5.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-07-30 00:58:23 EDT
jibx-1.2.4-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.